compact2, compact3
javax.sql

## Class RowSetEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.sql.RowSetEvent

- All Implemented Interfaces:
    Serializable

      public class RowSetEvent
      extends EventObject

  An `Event` object generated when an event occurs to a `RowSet` object. A `RowSetEvent` object is generated when a single row in a rowset is changed, the whole rowset is changed, or the rowset cursor moves.

  When an event occurs on a `RowSet` object, one of the `RowSetListener` methods will be sent to all registered listeners to notify them of the event. An `Event` object is supplied to the `RowSetListener` method so that the listener can use it to find out which `RowSet` object is the source of the event.

  Since:
    1.4
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RowSetEvent(RowSet source)` | Constructs a `RowSetEvent` object initialized with the given `RowSet` object.

  - ### Method Summary

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowSetEvent

          public RowSetEvent(RowSet source)

      Constructs a `RowSetEvent` object initialized with the given `RowSet` object.
      Parameters:
        `source` - the `RowSet` object whose data has changed or whose cursor has moved
      Throws:
        `IllegalArgumentException` - if `source` is null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.